Zadržati GTK stil za Qt 5.7

Objavljeno: Sub, 25 Jun 2016

Pod Linux

tagovi: qt gtk

Prevodi: en

Od verzije 5.7, Qt je odbacio podršku za GTK izgled widgeta. Ne potpuno, nego je samo prebačen u drugi repozitorij. Do sada se nalazio u qtbase, ali je prebačen u qtstyleplugins. Za korisnike to znači da više ne mogu jednostavno eksportovati QT_STYLE_OVERRIDE=GTK+ da bi natjerali Qt programe da koriste GTK temu.

Da bi zadržali staro ponašanje i izgled, sada je potrebno instalirati qtstyleplugins. Arch korisnici se mogu poslužiti PKGBUILDom. Nakon instalacije potrebno je eksportovati QT_STYLE_OVERRIDE=gtk2. Pažnju posvetite na vrijednost gtk2. Do sada je korišteno GTK+, ali sa novim načinom je potrebno promijeniti GTK+ u gtk2.